Insert Question
curl --request PUT \
--url https://api.decodahealth.com/forms/block/{block_id}/insert-question \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"id": "<string>",
"blockId": "<string>",
"formId": "<string>",
"position": 123,
"required": true,
"data": {
"name": "<string>",
"description": "<string>"
},
"isArchived": false,
"mappingKey": "<string>",
"conditions": []
}
'import requests
url = "https://api.decodahealth.com/forms/block/{block_id}/insert-question"
payload = {
"id": "<string>",
"blockId": "<string>",
"formId": "<string>",
"position": 123,
"required": True,
"data": {
"name": "<string>",
"description": "<string>"
},
"isArchived": False,
"mappingKey": "<string>",
"conditions": []
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
blockId: '<string>',
formId: '<string>',
position: 123,
required: true,
data: {name: '<string>', description: '<string>'},
isArchived: false,
mappingKey: '<string>',
conditions: []
})
};
fetch('https://api.decodahealth.com/forms/block/{block_id}/insert-question', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"formId": "<string>",
"position": 123,
"name": "<string>",
"description": "<string>",
"questions": [],
"isArchived": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Forms
Insert Question
PUT
/
forms
/
block
/
{block_id}
/
insert-question
Insert Question
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Available options:
ADDRESS, DATE, TEXT, NUMBER, TEXT_AREA, SINGLE_SELECT, RADIAL_SINGLE_SELECT, MULTI_SELECT, RADIAL_MULTI_SELECT, TOGGLE, SIGNATURE, FILE_UPLOAD, PHONE_NUMBER, EMAIL, PAYMENT_METHOD, TAG, DISCLAIMER, STATEMENT, DOCUMENT, FEET_INCHES_HEIGHT, POUNDS_WEIGHT, CALCULATED_SCORE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Available options:
DYNAMIC, DEMOGRAPHICS, INSURANCE, PAYMENT_METHODS, MEDICAL_HISTORY questions
QuestionDetail[Union[Address, Date, Text, SingleSelect, MultiSelect, Toggle, Signature, FileUpload, PaymentMethod, Tag, Disclaimer, Statement, Document, Number, CalculatedScore]] · object[]
Show child attributes
Show child attributes
⌘I
